ParsedLineWriter
Keywords: net.sf.colorer.viewer.ParsedLineWriter,ParsedLineWriter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.colorer.viewer
Class ParsedLineWriter

    java.lang.Object
      |
      +--net.sf.colorer.viewer.ParsedLineWriter

public class ParsedLineWriter
extends java.lang.Object

Static service methods of LineRegion output.

Constructor Summary
`ParsedLineWriter()`

Method Summary
`static void` | `htmlRGBWrite(java.io.Writer markupWriter, java.io.Writer textWriter, java.lang.String line, LineRegion[] lineRegions)` Write specified line of text using list of LineRegion's.
`static void` | `markupWrite(java.io.Writer markupWriter, java.io.Writer textWriter, java.lang.String line, LineRegion[] lineRegions)` Write specified line of text using list of LineRegion's.
`static void` | `tokenWrite(java.io.Writer markupWriter, java.io.Writer textWriter, java.lang.String line, LineRegion[] lineRegions)` Writes given line of text using list of passed line regions.
`static void` | `writeEnd(java.io.Writer writer, StyledRegion lr)` Puts into stream ending HTML \ tag
`static void` | `writeStart(java.io.Writer writer, StyledRegion lr)` Puts into stream starting HTML \ tag with requested style specification
`static void` | `writeStyle(java.io.Writer writer, StyledRegion lr)` Puts into stream style attributes from RegionDefine object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParsedLineWriter

    public ParsedLineWriter()

Method Detail

### tokenWrite

    public static void tokenWrite(java.io.Writer markupWriter,
                                  java.io.Writer textWriter,
                                  java.lang.String line,
                                  LineRegion[] lineRegions)
                           throws java.io.IOException

  Writes given line of text using list of passed line regions. Formats output with class of each token, enclosed in \...\

  Parameters:
    `markupWriter` - Writer, used for markup output
    `textWriter` - Writer, used for text output
    `line` - Line of text
    `lineRegions` - Linked list of LineRegion structures. Only region references are used there.
    `java.io.IOException`

### markupWrite

    public static void markupWrite(java.io.Writer markupWriter,
                                   java.io.Writer textWriter,
                                   java.lang.String line,
                                   LineRegion[] lineRegions)
                            throws java.io.IOException

  Write specified line of text using list of LineRegion's. This method uses text fields of LineRegion class to enwrap each line region. It uses two Writers - @c markupWriter and @c textWriter.

  Parameters:
    `markupWriter` - Writer, used for markup output
    `textWriter` - Writer, used for text output
    `line` - Line of text
    `lineRegions` - Linked list of LineRegion structures
    `java.io.IOException`

### htmlRGBWrite

    public static void htmlRGBWrite(java.io.Writer markupWriter,
                                    java.io.Writer textWriter,
                                    java.lang.String line,
                                    LineRegion[] lineRegions)
                             throws java.io.IOException

  Write specified line of text using list of LineRegion's. This method uses integer fields of LineRegion class to enwrap each line region with generated HTML markup. Each region is

  Parameters:
    `markupWriter` - Writer, used for markup output
    `textWriter` - Writer, used for text output
    `line` - Line of text
    `lineRegions` - Linked list of LineRegion structures
    `java.io.IOException`

### writeStyle

    public static void writeStyle(java.io.Writer writer,
                                  StyledRegion lr)
                           throws java.io.IOException

  Puts into stream style attributes from RegionDefine object.

    `java.io.IOException`

### writeStart

    public static void writeStart(java.io.Writer writer,
                                  StyledRegion lr)
                           throws java.io.IOException

  Puts into stream starting HTML \ tag with requested style specification

    `java.io.IOException`

### writeEnd

    public static void writeEnd(java.io.Writer writer,
                                StyledRegion lr)
                         throws java.io.IOException

  Puts into stream ending HTML \ tag

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Cail Lomecb. All Rights Reserved.